%define	module	Exception-Class
%define	name	perl-%{module}
%define	version	1.19
%define	release	1mdk
%define	pdir	Exception

Summary: 	%{module} module for perl
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL or Artistic
Group: 		Development/Perl
Source0: 	ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{pdir}/%{module}-%{version}.tar.bz2
Url: 		http://search.cpan.org/search?dist=%{module}
BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: 	perl perl-base perl-Class-Data-Inheritable >= 0.02 perl-Devel-StackTrace >= 0.9
BuildRequires:	perl-devel perl-Class-Data-Inheritable
BuildRequires:  perl-Devel-StackTrace

%description
%{module} module for perl.  This module allows you to declare
hierarchies of exception classes for use in your code.  It also
provides a simple exception class that it uses as the default base
class for all other exceptions.

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make
#make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(444,root,root,755)
%doc Changes LICENSE README
%{perl_vendorlib}/Exception/*
%{_mandir}/*/*

%changelog
* Wed Jun 02 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.19-1mdk
- 1.19
- wipe out buildroot in %%install, not %%prep
- use %%makeinstall_std macro
- drop test for now

* Wed Aug 27 2003 Franois Pons <fpons@mandrakesoft.com> 1.14-1mdk
- 1.14.

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.01-4mdk
- rebuild for new auto{prov,req}

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com 1.01-3mdk
- rebuild

* Wed Jul 24 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.01-2mdk
- rebuild with new perl

* Mon Jun 10 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.01-1mdk
- buildrequires perl-Class-Data-Inheritable
- buildrequires perl-Devel-StackTrace
- from Peter Chen <petechen@netilla.com> :
	- 1.01
